Подмена данных в POCO C++ Libraries

Дата публикации:
28.04.2014
Дата изменения:
28.04.2014
Всего просмотров:
899
Опасность:
Низкая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
(AV:N/AC:M/Au:N/C:N/I:P/A:N/E:U/RL:O/RC:C) = Base:4.3/Temporal:3.2
CVE ID:
CVE-2014-0350
Вектор эксплуатации:
Удаленная
Воздействие:
Спуфинг атака
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
POCO C++ Libraries 1.x
Уязвимые версии: POCO C++ Libraries 1.4.6p2, возможно более ранние версии

Описание: Уязвимость позволяет удаленному пользователю совершить спуфинг атаку.

Уязвимость существует из-за ошибки в функции "Poco::Net::X509Certificate::verify()" при проверке SSL сертификатов содержащих шаблоны символов. Удаленный пользователь может совершить атаку «человек посередине» и подменить сервер.

URL производителя: http://www.appinf.com/

Решение: Обновите продукт до 1.4.6p4 версии.

Ссылки: https://raw.github.com/pocoproject/poco/poco-1.4.6p4-release/CHANGELOG
http://www.kb.cert.org/vuls/id/118748

или введите имя

CAPTCHA